Bug 487630

Summary: [zh_CN.Big-5] gdm imcontext crash
Product: Red Hat Enterprise Linux 5 Reporter: ritz <rkhadgar>
Component: gtk2Assignee: Cosimo Cecchi <ccecchi>
Status: CLOSED ERRATA QA Contact: desktop-bugs <desktop-bugs>
Severity: medium Docs Contact:
Priority: high    
Version: 5.3CC: eng-i18n-bugs, lijli, mboisver, mclasen, mgordon
Target Milestone: rcKeywords: i18n
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: gtk2-2.10.4-23 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-08 00:11:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 743405, 807971    

Description ritz 2009-02-27 01:35:02 EST
Description of problem:
gdmgreeter crashes when switching to zh_TW.Big-5

Version-Release number of selected component (if applicable):
gtk2-2.10.4-19.el5-i386

How reproducible:
always

Steps to Reproduce:
n/a
  
Actual results:
SEGV

Expected results:
should not crash

Additional info:

Issues is not reproducible with patch from 
http://svn.gnome.org/viewvc/gtk%2B/trunk/modules/input/gtkimcontextxim.c?r1=16648&r2=17218

_TEST_ package can be downloaded from:
http://people.redhat.com/rkhadgar/work/it242332/
Comment 3 RHEL Product and Program Management 2010-08-09 15:35:26 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2011-05-31 11:05:42 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 9 RHEL Product and Program Management 2012-04-02 06:48:50 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 10 Cosimo Cecchi 2012-04-09 14:09:48 EDT
Patch from upstream looks good, ACK.
Comment 11 Cosimo Cecchi 2012-04-23 12:08:10 EDT
Built gtk2-2.10.4-23 with the fix.
Comment 16 errata-xmlrpc 2013-01-08 00:11:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0135.html